Package uk.co.mccombe.terrain

# Class DefaultPathnames

java.lang.Object
uk.co.mccombe.terrain.DefaultPathnames

All Implemented Interfaces:
  `Pathnames`

public class DefaultPathnames extends Object implements Pathnames

## Constructor Summary

Constructors
Constructor
Description
`DefaultPathnames()`

## Method Summary

Modifier and Type
Method
Description
`String`
`dataPath()`
`protected boolean`
`isUnix()`
`String`
`propertiesPath()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultPathnames

public DefaultPathnames()

## Method Details

### propertiesPath

public String propertiesPath()

Specified by:
  `propertiesPath` in interface `Pathnames`
Returns:
  String containing the pathname for terrain.properties

### dataPath

public String dataPath()

Specified by:
  `dataPath` in interface `Pathnames`
Returns:
  String containing the pathname for the data-cache directory

### isUnix

protected boolean isUnix()